Bug 488168 - Package Review: ibus-table-wubi
Package Review: ibus-table-wubi
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: i18n
Depends On: 488010
Blocks: 484650
  Show dependency treegraph
 
Reported: 2009-03-02 18:54 EST by Caius Chance
Modified: 2010-01-13 00:02 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 20:40:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Caius Chance 2009-03-02 18:54:01 EST
A split from ibus-table-chinese, which was sub-package of ibus-table.

Uploading srpm and spec.
Comment 2 Jens Petersen 2009-03-17 04:19:29 EDT
What about the license?
Comment 3 Jens Petersen 2009-03-18 02:43:25 EDT
ping?
Comment 5 Caius Chance 2009-03-27 00:06:51 EDT
Ad per discussion, wubi98 is removed. Please proceed package review:

http://cchance.fedorapeople.org/packaging/ibus-table-wubi.spec
http://cchance.fedorapeople.org/packaging/ibus-table-wubi-1.1.0.20090316-2.fc11.src.rpm

Thanks a lot.
Comment 7 Caius Chance 2009-03-27 03:08:06 EDT
SRPM URL: http://cchance.fedorapeople.org/packaging/ibus-table-wubi-1.1.0.20090327-1.fc11.src.rpm  
Spec URL: http://cchance.fedorapeople.org/packaging/ibus-table-wubi.spec
Description: A split from ibus-table-chinese, which was sub-package of ibus-table.
Comment 8 Parag AN(पराग) 2009-03-30 04:32:01 EDT
Review:
+ package builds in mock (rawhide i586).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1264871
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
8aa15f5b6d1b12068b22ff5e9639a277  ibus-table-wubi-1.1.0.20090327.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ ibus-table-createdb scriptlet used.
+ file permissions are appropriate.
+ Not a GUI App.  

Suggestions:
1) Change license to GPLv3+
2) Good if you preserve timestamp of svg file also. Use
make DESTDIR=%{buildroot} install INSTALL="install -p"

APPROVED.
Comment 9 Caius Chance 2009-03-31 00:47:25 EDT
Package Change Request
=======================
Package Name: ibus-table-wubi
Short Description: Wubi input method for ibus-table.
Owners: cchance
Branches: N/A (devel)
InitialCC:
Cvsextras Commits: yes
Comment 11 Jens Petersen 2009-03-31 07:31:32 EDT
cvs done with

 Package Name: ibus-table-wubi
 Short Description: Wubi input method for ibus-table
 Owners: cchance
 Branches: devel
 InitialCC: i18n-team
Comment 14 Caius Chance 2009-05-19 20:42:52 EDT
Package Change Request
======================
Package Name: ibus-table-wubi
New Branches: F-10
Owners: cchance
Comment 15 Kevin Fenzi 2009-05-20 01:37:43 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.